<hr>
<nav class="navbar navbar-expand-sm navbar-dark bg-dark" role="navigation">  
    <i class="fa fa-cog fa-spin fa-3x fa-fw" aria-hidden="true" style="color:aqua"></i>  
    <a class="nav-link clickable" style="color:aqua; font-size:24px" *ngIf="loggedIn" data-toggle="modal" data-target="#userInfoDialog"><strong>{{userInfoModel.name}}</strong></a>   
    <a class="navbar-brand" routerLink="home">{{title}}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="collapsibleNavbar">
        <ul class="navbar-nav mr-auto">              
            <li class="nav-item">
                <a class="nav-link clickable" routerLink="home">Home</a>
            </li>             
            <!-- <li class="nav-item">
                <a class="nav-link clickable" routerLink="weather">Weather</a>
            </li> -->
            <li class="nav-item" >
                <a class="nav-link clickable" *ngIf="!loggedIn" data-toggle="modal" data-target="#loginDialog">Login</a>
            </li>
            <li class="nav-item" >
                <a class="nav-link clickable" *ngIf="!loggedIn" routerLink="signup">Sign up</a>
            </li>             
            <li class="nav-item" >
                <a class="nav-link clickable" *ngIf="loggedIn" (click)="logOut()">Log out</a>
            </li>        
        </ul>
    </div>
</nav>

<div class="modal fade" id="loginDialog" tabindex="-1" role="dialog" aria-labelledby="loginDialog" aria-hidden="true">
    <div class="modal-dialog"> 
        <div class="modal-content" style="background:#343A40">   
            <div class="modal-header">
                <h4 class="modal-title" style="color:aqua;">Login</h4>
                <button type="button" class="close" style="color:aqua;" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>         
            <div class="modal-body">
                <form name="loginForm" (ngSubmit)="loginForm.form.valid && loginUser()" #loginForm="ngForm" novalidate>
                    <div class="form-group" [ngClass]="{ 'is-invalid': loginForm.submitted && (name.invalid || password.invalid) }">
                        <div [hidden]="!name.touched || (name.touched && name.valid)" class="alert alert-danger">
                            <div *ngIf="name.hasError('pattern')">Invalid Name</div>
                            <div *ngIf="name.hasError('required')">Name is required</div>
                        </div>
                        <div [hidden]="!password.touched || (password.touched && password.valid)" class="alert alert-danger">
                            <div *ngIf="password.hasError('pattern')">Invalid password</div>
                            <div *ngIf="password.hasError('required')">Password is required</div>
                        </div>
                        <div [hidden]="!error" class="alert alert-danger">
                            <div *ngIf="error">{{errorMessage}}</div>
                        </div>
                    </div>

                    <div class="form-group" [ngClass]="{ 'is-invalid': loginForm.submitted && name.invalid }">
                        <label>Name *</label>
                        <input class="form-control" type="text" name="name" id="name" [(ngModel)]="loginModel.name" #name="ngModel" required pattern="^[A-Za-z]+$">         
                    </div> 

                    <div class="form-group" [ngClass]="{ 'is-invalid': loginForm.submitted && password.invalid }">
                        <label>Password *</label>
                        <!-- <input class="form-control" type="password" name="password" id="password" [(ngModel)]="userInfoModel.password" #password="ngModel" pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$^+=!*()@%&]).{8,10}$" placeholder="Password"> -->
                        <input class="form-control" type="password" name="password" id="password" [(ngModel)]="loginModel.password" #password="ngModel" required pattern="^.{4,}$" >
                    </div>

                    <div class="form-group">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancel" data-toggle="collapse" data-target="#collapsibleNavbar"/>
                        &nbsp;
                        <input type="submit" class="btn btn-success" value="Submit" data-toggle="collapse" data-target="#collapsibleNavbar"/>
                    </div>
                </form>
            </div>
            <div class="modal-footer">                
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="userInfoDialog" tabindex="-1" role="dialog" aria-labelledby="userInfoDialog" aria-hidden="true">
    <div class="modal-dialog"> 
        <div class="modal-content" style="background:#343A40">   
            <div class="modal-header">
                <h4 class="modal-title" style="color:aqua;">User Info</h4>
                <button type="button" class="close" style="color:aqua;" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>         
            <div class="modal-body">
                <table style="border:2">
                    <tr>
                        <td style="padding-right:100px"><span>Name</span></td>
                        <td><span>{{userInfoModel.name}}</span></td>
                    </tr>
                    <tr>
                        <td><span>Email</span></td>
                        <td><span>{{userInfoModel.email}}</span></td>
                    </tr>
                    <tr>
                        <td><span>Phone</span></td>
                        <td><span>{{userInfoModel.phone}}</span></td>
                    </tr>
                    <tr>
                        <td><span>Role</span></td>
                        <td><span>{{userInfoModel.role}}</span></td>
                    </tr>
                    <tr>
                        <td><span>Created on</span></td>
                        <td><span>{{userInfoModel.createdOn}}</span></td>
                    </tr>
                </table>
            </div>
            <div class="modal-footer">                
            </div>
        </div>
    </div>
</div>
<hr>
<div style="display: flex; flex-wrap: wrap;">
    <div class="col-sm-12">
        <span class="tbl" style="color: aqua">{{currentDate}}</span>
        <br>&nbsp;
    </div>
</div>
<div style="display: flex; flex-wrap: wrap;">
    <div class="col-sm-5 col-lg-3">      
        <h4 class="tbl" style="color: aqua; text-decoration-line: underline;">Current Weather</h4>
        <table style="align-content: flex-start" *ngIf="weatherLoaded">
        <tr>
            <td class="tbl"><span><img width="64px" height="64px" src={{currentWeather.icon}} style="background: #343A40"/></span></td>
            <td class="tbl"><span><strong>{{currentWeather.temp}}</strong></span></td>
        </tr>
        <tr>
            <!-- <td><span>&nbsp;</span></td> -->
            <td class="tbl"><span>{{currentWeather.caption}}</span></td>
            <!-- <td><span>{{currentWeather.description}}</span></td> -->
        </tr>
        <!-- <tr>
            <td class="tbl"><span>Low:&nbsp;</span></td>
            <td class="tbl"><span>{{currentWeather.temp_min}}</span></td>
        </tr>
        <tr>
            <td class="tbl"><span>High:&nbsp;</span></td>
            <td class="tbl"><span>{{currentWeather.temp_max}}</span></td>
        </tr> -->
        <tr>
            <td class="tbl"><span>Humidity:&nbsp;</span></td>
            <td class="tbl"><span>{{currentWeather.humidity}}</span></td>
        </tr>
        <tr>
            <td class="tbl"><span>Sunrise:&nbsp;</span></td>
            <td class="tbl"><span>{{currentWeather.sunrise}}</span></td>
        </tr>
        <tr>
            <td class="tbl"><span>Sunset:&nbsp;</span></td>
            <td class="tbl"><span>{{currentWeather.sunset}}</span></td>
        </tr>
        </table>
    </div>

    <div class="col-sm-7 col-lg-7 offset-lg-1" style="text-align: center">
        <h4 class="tbl" style="color: aqua; text-align: center; text-decoration-line: underline;">6 Day Forecast</h4>
        <owl-carousel *ngIf="weatherLoaded" [options]="mySlideOptions" [items]="images" [carouselClasses]="['owl-theme', 'sliding']" >
            <div class="item" *ngFor="let forecast of weatherForecast;let i = index">
                <div class="item">
                    <table style="align-content: flex-start">
                        <tr>
                            <td class="tbl"><span>{{forecast.date}}</span></td>
                            <td class="tbl"><span><img width="64px" height="64px" src={{forecast.icon}} style="background: #343A40; width: 64px; height: 64px;"/></span></td>
                        </tr>
                        <tr>
                            <td class="tbl"><span>{{forecast.caption}}:&nbsp;</span></td>
                            <td class="tbl"><span>{{forecast.description}}</span></td>
                        </tr>
                        <tr>
                            <td class="tbl"><span>Low:&nbsp;</span></td>
                            <td class="tbl"><span>{{forecast.min}}</span></td>
                        </tr>
                        <tr>
                            <td class="tbl"><span>High:&nbsp;</span></td>
                            <td class="tbl"><span>{{forecast.max}}</span></td>
                        </tr>
                        <tr>
                            <td class="tbl"><span>Humidity:&nbsp;</span></td>
                            <td class="tbl"><span>{{forecast.humidity}}</span></td>
                        </tr>
                    </table>
                </div>
            </div>
        </owl-carousel>
    </div>
</div>
<router-outlet></router-outlet>